%global gem_name diff-lcs

%{!?need_bootstrap:	%global	need_bootstrap	0}

Summary: Provide a list of changes between two sequenced collections
Name: rubygem-%{gem_name}
Version: 1.2.5
Release: %mkrel 1
Group: Development/Ruby
License: (GPLv2+ or Artistic or MIT) and (GPLv2+ or Artistic or Ruby or BSD) and (Artistic or Ruby or BSD)
URL: https://github.com/halostatue/diff-lcs
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Diff::LCS is a port of Algorithm::Diff that uses the McIlroy-Hunt longest
common subsequence (LCS) algorithm to compute intelligent differences between
two sequenced enumerable containers. The implementation is based on Mario I.
Wolczko's Smalltalk version (1.2, 1993) and Ned Konz's Perl version
(Algorithm::Diff).

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c  -T
%gem_install -n %{SOURCE0}


%build


%install
rm -rf %buildroot
mkdir -p %{buildroot}%{gem_dir}
mkdir -p %{buildroot}/%{_bindir}

cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}
cp -a .%{_bindir}/* %{buildroot}/%{_bindir}

find %{buildroot}%{gem_instdir}/bin -type f |xargs chmod a+x

# Fix shebangs.
sed -i 's|^#!.*|#!/usr/bin/ruby|' %{buildroot}%{gem_instdir}/bin/{htmldiff,ldiff}

%files
%{_bindir}/ldiff
%{_bindir}/htmldiff
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%doc %{gem_instdir}/License.rdoc
%doc %{gem_instdir}/docs
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Contributing.rdoc
%doc %{gem_instdir}/History.rdoc
%doc %{gem_instdir}/Manifest.txt
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/autotest
%{gem_instdir}/spec


%changelog
* Fri Oct 31 2014 bb <bb> 1.2.5-1pclos2014
- import
